package com.zapylaev.webchat.command.request;

import com.zapylaev.webchat.command.helper.AttributesHelper;
import com.zapylaev.webchat.command.response.CommandResponse;
import com.zapylaev.webchat.command.response.RedirectResponse;
import com.zapylaev.webchat.command.response.SimpleTextResponse;
import com.zapylaev.webchat.persistence.connection.ChatConnection;
import com.zapylaev.webchat.properties.Pages;
import org.apache.log4j.Logger;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.sql.*;
import java.util.Properties;

/**
 * User: Kirill.Zapylaev
 * Date: 17.03.13
 * Time: 0:02
 */
public class LoginCommand implements Command {

    public static final Logger LOG =Logger.getLogger(LoginCommand.class);

    @Override
    public CommandResponse execute(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        String userName = request.getParameter(AttributesHelper.LOGIN);
        LOG.info("Login = " + userName);
        String userPassword = request.getParameter(AttributesHelper.PASSWORD);
        LOG.info("Password = " + userPassword);

        if (userName.isEmpty() && userPassword.isEmpty()) {
            return new RedirectResponse(Pages.getPagePath(Pages.CHAT_PAGE));
        }

        Connection connection = ChatConnection.getInstance().getConnection();
        PreparedStatement preparedStatement = null;

        String result = "";
        try {
            preparedStatement = connection.prepareStatement("select * from users");

            if(preparedStatement.execute()) {
                ResultSet rs = preparedStatement.getResultSet();

                while (rs.next()) {
                    result += rs.getString(2);
                }
            }
        } catch (SQLException e) {
            e.printStackTrace();  //To change body of catch statement use File | Settings | File Templates.
        }

        finally {

            try {
                if (connection != null)
                    connection.close();
            }
            catch (SQLException ex) {
                System.out.println("On close: " + ex.toString());
            }

        }


        return new SimpleTextResponse("Do login. Name = " + userName + " password: " + userPassword + " <br> result: " + result);
    }

    private Connection connectToDB() {
        Connection connection  = null;
        try {
            Properties connInfo = new Properties();

            connInfo.put("characterEncoding", "UTF8");
            connInfo.put("user", "root");
            connInfo.put("password", "root");

            connection  = DriverManager.getConnection("jdbc:mysql://localhost:3306/chat", connInfo);
        }
        catch (SQLException ex) {
            System.out.println(ex.toString());
        }

        return connection;
    }
}
