package com.zapylaev.webchat.controller;

import com.zapylaev.webchat.command.request.Command;
import com.zapylaev.webchat.command.response.CommandResponse;
import org.apache.log4j.Logger;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * User: Kirill.Zapylaev
 * Date: 17.02.13
 * Time: 0:54
 */
public class ChatControllerServlet extends HttpServlet {

    public static final Logger LOG =Logger.getLogger(ChatControllerServlet.class);

    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        LOG.debug("GET");

        processRequest(req, resp);
    }

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        LOG.debug("POST");

        processRequest(req, resp);
    }

    private void processRequest(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

        CommandResponse commandResponse;

        final Command command = RequestHelper.getInstance().getCommand(request);
        commandResponse = command.execute(request, response);

        commandResponse.execute(request, response);

        LOG.debug("commandResponse executed " + commandResponse);

    }
}
