package com.zapylaev.webchat.controller;

import com.zapylaev.webchat.command.request.*;
import com.zapylaev.webchat.properties.Pages;
import org.apache.log4j.Logger;

import javax.servlet.http.HttpServletRequest;
import java.util.HashMap;
import java.util.Map;

public class RequestHelper {
	
	private static final Logger LOG = Logger.getLogger(RequestHelper.class);
	private static RequestHelper instance = new RequestHelper();
	private Map<String, Command> commands = new HashMap<String, Command>();

	private RequestHelper() {
        addCommand(Pages.CHAT_REQUEST_ACTION, new ChatCommand());
        addCommand(Pages.LOGIN_REQUEST_ACTION, new LoginCommand());
        addCommand(Pages.REGISTRATION_REQUEST_ACTION, new RegistrationCommand());
    }

    private void addCommand(String page, Command command) {
        commands.put("/" + page, command);
    }

	public static RequestHelper getInstance() {
		return instance;
	}

	public Command getCommand(HttpServletRequest request) {
		final String requestServletPath = request.getServletPath();

		LOG.debug("Request servlet path = " + requestServletPath);

		Command command = commands.get(requestServletPath);
		if (command == null) {
			command = new NoCommand();
		}

		LOG.debug("Command = " + command);

		return command;
	}

}
