package com.zapylaev.webchat.message;

import java.util.ArrayList;
import java.util.List;

/**
 * User: Kirill.Zapylaev
 * Date: 09.03.13
 * Time: 22:19
 */
public class MessageStore {

    private List<Message> messageList = new MyArrayList<Message>();
    private static MessageStore instance;

    public static synchronized MessageStore getInstance() {
        if (instance == null) {
            instance = new MessageStore();
        }
        return instance;
    }

    public void storeMessage(Message message) {
        messageList.add(message);
    }

    public List<Message> getMessages() {
        return messageList;
    }

    private class MyArrayList<T> extends ArrayList<Message> {
        @Override
        public String toString() {
            String result = "";
            for (Message message : messageList) {
                result += message.getMessage() + "   |   ";
            }
            return result;
        }
    }
}
