package com.zapylaev.webchat.persistence.dao;

import com.zapylaev.webchat.bean.User;
import com.zapylaev.webchat.exception.DAOException;
import com.zapylaev.webchat.persistence.connection.ChatConnection;
import com.zapylaev.webchat.persistence.dao.UserDAO;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;

/**
 * @author Kirill Zapylaiev <zapylaev@gmail.com>
 */
class JDBCUserDao implements UserDAO {

    private static final String INSERT = "insert into users (name, login, password) values(?, ?, ?)";

    @Override
    public void addUser(User user) {
        Connection connection = ChatConnection.getInstance().getConnection();
        PreparedStatement statement = null;
        try {
            statement = connection.prepareStatement(INSERT);
            statement.setString(1, user.getName());
            statement.setString(2, user.getLogin());
            statement.setString(3, user.getPassword());
            statement.execute();
        } catch (SQLException e) {
            throw new DAOException(e.getMessage(), e);
        } finally {
            try {
                if (statement != null) {
                    statement.close();
                }
                ChatConnection.getInstance().closeConnection(connection);
            } catch(SQLException e) {
                throw new DAOException(e.getMessage(), e);
            }
        }
    }

    @Override
    public User findUser(String login) {
        return null;  //To change body of implemented methods use File | Settings | File Templates.
    }

    @Override
    public void updateUser(User user) {
        //To change body of implemented methods use File | Settings | File Templates.
    }
}
